--
-- chainsound Script for all Winter Service vehicle
-- Kettensound fr alle Winterdienste
-- @author  Alfamodding.com Team Speedy11
-- 
-- Ihr drft das Script verwenden wenn Name des Autors angegeben wird!!! 
-- free for use - if the author's name is given!
-- Modifizieren, Kopieren und weiterverbreiten des Scripts nur mit Zustimmung.
-- Modify, copy and redistribute the script only with the agreement.
-- 
-- Kopieren von codes und Geistigem Eigentuhm ist Strabar nach UrhG!!!
--
-- @author  Speedy11VC
-- @date  07/12/2015
--
-- Copyright (C) Alfamodding.com Confidential, All Rights Reserved.
--if InputBinding.hasEvent(InputBinding.IMPLEMENT_EXTRA) then

chainsound = {};

function chainsound.prerequisitesPresent(specializations)
    return true;
end;

function chainsound:load(xmlFile)

	self.chainsound = {};
	local name = "vehicle.chainsound";
    local soundFile = getXMLString(xmlFile, name.."#file");
	local sound = self.chainsound;
    if soundFile ~= nil and soundFile ~= "" then
        soundFile = Utils.getFilename(soundFile, self.baseDirectory);
        sound.file = createSample("chainsound");
        loadSample(sound.file, soundFile, false);
        sound.pitchOffset = Utils.getNoNil(getXMLFloat(xmlFile, name.."#pitchOffset"), 0);
        sound.volume = Utils.getNoNil(getXMLFloat(xmlFile, name.."#volume"), 1.0);
        sound.enabled = false;
    end;
end;

function chainsound:delete()

end;

function chainsound:mouseEvent(posX, posY, isDown, isUp, button)
end;

function chainsound:keyEvent(unicode, sym, modifier, isDown)


end;

  function chainsound:onDetach()
     self.down =false;

  end;
  
  function chainsound:onLeave()
     self.down =false;

end;

function chainsound:onAttach()
     self.down =false;

end;

function chainsound:update(dt)


	
		if self.lastSpeed*3600 > 6 and self.chainsound.file ~= nil then
			if not self.chainsound.enabled then
				playSample(self.chainsound.file, 0, self.chainsound.volume, 0);
				setSamplePitch(self.chainsound.file, self.chainsound.pitchOffset);
				self.chainsound.enabled = true;
			end;
		else
			if self.chainsound.enabled then
				stopSample(self.chainsound.file);
				self.chainsound.enabled = false;
			end;
		end;

end;

function chainsound:draw()
end;